<template>
  <header class="header">
    <nav class="header__navigation">
      <BaseButton
        iconName="plus"
        label="New Post"
        iconPos="left"
        class="p-button-outlined p-button-secondary"
        @handle-click="toCreateNewPost"
      />
    </nav>
  </header>
</template>

<script>
import { defineComponent } from "vue"
import BaseButton from "@/components/shared/BaseButton"
export default defineComponent({
  name: "Header",
  components: { BaseButton },
  methods: {
    toCreateNewPost() {
      this.$router.push({ name: "create-post" })
    },
  },
})
</script>
